package io.gitlab.jfronny.libjf.config.api;

import java.util.List;
import java.util.Map;

@Deprecated
public interface ConfigInstance {
    static ConfigInstance get(Class<?> configClass) {
        return ConfigHolder.getInstance().get(configClass);
    }
    static ConfigInstance get(String modId) {
        return ConfigHolder.getInstance().get(modId);
    }
    void load();
    void write();
    String getId();
    String getCategoryPath();
    default String getTranslationPrefix() {
        return getId() + ".jfconfig." + getCategoryPath();
    }
    List<EntryInfo<?>> getEntries();
    Map<String, Runnable> getPresets();
    default List<ConfigInstance> getReferencedConfigs() {
        return List.of();
    }
    Map<String, ConfigInstance> getCategories();
    default void fix() {
        for (EntryInfo<?> entry : getEntries()) {
            entry.fix();
        }
    }

}
