package io.gitlab.jfronny.libjf.devutil.mixin;

import net.minecraft.client.util.ProfileKeys;
import net.minecraft.network.encryption.PlayerKeyPair;
import net.minecraft.network.encryption.PlayerPublicKey;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;

import java.util.Optional;
import java.util.concurrent.CompletableFuture;

@Mixin(ProfileKeys.class)
public class ProfileKeysMixin {
    /**
     * @author JFronny
     * @reason Do not load keys!
     */
    @Overwrite
    public CompletableFuture<Optional<PlayerPublicKey.PublicKeyData>> refresh() {
        return CompletableFuture.completedFuture(Optional.empty());
    }

    /**
     * @author JFronny
     * @reason Do not load keys!
     */
    @Overwrite
    private CompletableFuture<Optional<Object>> getKeyPair(Optional<PlayerKeyPair> currentKey) {
        return CompletableFuture.completedFuture(Optional.empty());
    }
}
